Document Analysis Result Confirmation
curl --request POST \
--url https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api_key>' \
--data '
{
"references": {}
}
'import requests
url = "https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm"
payload = { "references": {} }
headers = {
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"api_key": "<api_key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Frankie-CustomerID': '<x-frankie-customerid>',
api_key: '<api_key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({references: {}})
};
fetch('https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'references' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Frankie-CustomerID: <x-frankie-customerid>",
"api_key: <api_key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm"
payload := strings.NewReader("{\n \"references\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Frankie-CustomerID", "<x-frankie-customerid>")
req.Header.Add("api_key", "<api_key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm")
.header("X-Frankie-CustomerID", "<x-frankie-customerid>")
.header("api_key", "<api_key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"references\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Frankie-CustomerID"] = '<x-frankie-customerid>'
request["api_key"] = '<api_key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"references\": {}\n}"
response = http.request(request)
puts response.read_body{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Organization
Document Analysis Result Confirmation
Confirm Document Analysis Results
POST
/
v2
/
organizations
/
{entityId}
/
documents
/
{documentId}
/
analyses
/
{analysisId}
/
confirm
Document Analysis Result Confirmation
curl --request POST \
--url https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api_key>' \
--data '
{
"references": {}
}
'import requests
url = "https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm"
payload = { "references": {} }
headers = {
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"api_key": "<api_key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Frankie-CustomerID': '<x-frankie-customerid>',
api_key: '<api_key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({references: {}})
};
fetch('https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'references' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Frankie-CustomerID: <x-frankie-customerid>",
"api_key: <api_key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm"
payload := strings.NewReader("{\n \"references\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Frankie-CustomerID", "<x-frankie-customerid>")
req.Header.Add("api_key", "<api_key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm")
.header("X-Frankie-CustomerID", "<x-frankie-customerid>")
.header("api_key", "<api_key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"references\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Frankie-CustomerID"] = '<x-frankie-customerid>'
request["api_key"] = '<api_key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"references\": {}\n}"
response = http.request(request)
puts response.read_body{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Authorizations
Headers
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Path Parameters
Body
application/json
Was this page helpful?